Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2881393002: Count cross-origin property access. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months ago by Mike West
Modified:
3 months ago
CC:
asvitkine+watch_chromium.org, blink-reviews, blink-reviews-bindings_chromium.org, blink-reviews-frames_chromium.org, chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Count cross-origin property access. It would be interesting to find out how often pages try to access properties of cross-origin Windows, and equally interesting to determine how many of those accesses are enabled by `window.open`. R=jochen@chromium.org Review-Url: https://codereview.chromium.org/2881393002 Cr-Commit-Position: refs/heads/master@{#473112} Committed: https://chromium.googlesource.com/chromium/src/+/6dc2830c525f150b928052245fd669834eee5f4c

Patch Set 1 #

Total comments: 4

Patch Set 2 : Tests. #

Patch Set 3 : Rebase. #

Total comments: 2

Patch Set 4 : Nits + Rebase. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+223 lines, -7 lines) Patch
M third_party/WebKit/Source/bindings/bindings.gni View 1 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/bindings/core/DEPS View 1 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/bindings/core/v8/BindingSecurity.cpp View 1 2 5 chunks +50 lines, -6 lines 0 comments Download
A third_party/WebKit/Source/bindings/core/v8/BindingSecurityTest.cpp View 1 2 3 1 chunk +147 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/frame/LocalDOMWindow.cpp View 1 1 chunk +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/frame/UseCounter.h View 1 2 3 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/tests/sim/SimWebViewClient.h View 1 2 chunks +8 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/tests/sim/SimWebViewClient.cpp View 1 2 chunks +10 lines, -0 lines 0 comments Download
M tools/metrics/histograms/enums.xml View 1 2 3 1 chunk +2 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 45 (24 generated)
Mike West
Jochen, WDYT? https://codereview.chromium.org/2881393002/diff/1/third_party/WebKit/Source/bindings/core/v8/BindingSecurity.cpp File third_party/WebKit/Source/bindings/core/v8/BindingSecurity.cpp (right): https://codereview.chromium.org/2881393002/diff/1/third_party/WebKit/Source/bindings/core/v8/BindingSecurity.cpp#newcode129 third_party/WebKit/Source/bindings/core/v8/BindingSecurity.cpp:129: } Does this do what I think ...
3 months ago (2017-05-16 14:54:31 UTC) #3
dcheng
Can we move the recording into CanAccessFrame()?
3 months ago (2017-05-16 15:19:47 UTC) #5
Mike West
On 2017/05/16 at 15:19:47, dcheng wrote: > Can we move the recording into CanAccessFrame()? Not ...
3 months ago (2017-05-16 17:07:55 UTC) #6
dcheng
On 2017/05/16 17:07:55, Mike West wrote: > On 2017/05/16 at 15:19:47, dcheng wrote: > > ...
3 months ago (2017-05-17 04:19:44 UTC) #9
Yuki
LGTM on my side. Defer to dcheng@ and jochen@ for details. https://codereview.chromium.org/2881393002/diff/1/third_party/WebKit/Source/bindings/core/v8/BindingSecurity.cpp File third_party/WebKit/Source/bindings/core/v8/BindingSecurity.cpp (right): ...
3 months ago (2017-05-17 05:31:12 UTC) #11
Mike West
On 2017/05/17 at 04:19:44, dcheng wrote: > On 2017/05/16 17:07:55, Mike West wrote: > > ...
3 months ago (2017-05-17 06:48:58 UTC) #12
jochen (gone - plz use gerrit)
also note that an access might be denied for same origin but not same origin ...
3 months ago (2017-05-17 07:36:06 UTC) #13
Mike West
I added tests, and taught SimTest to open windows. How exciting! There's probably a more ...
3 months ago (2017-05-17 12:58:26 UTC) #20
haraken1
bindings/ LGTM
3 months ago (2017-05-17 15:00:27 UTC) #23
haraken
On 2017/05/17 15:00:27, haraken1 wrote: > bindings/ LGTM LGTM from a right account.
3 months ago (2017-05-17 15:00:56 UTC) #24
dcheng
https://codereview.chromium.org/2881393002/diff/40001/third_party/WebKit/Source/bindings/core/v8/BindingSecurityTest.cpp File third_party/WebKit/Source/bindings/core/v8/BindingSecurityTest.cpp (right): https://codereview.chromium.org/2881393002/diff/40001/third_party/WebKit/Source/bindings/core/v8/BindingSecurityTest.cpp#newcode18 third_party/WebKit/Source/bindings/core/v8/BindingSecurityTest.cpp:18: const char* kMainFrame = "https://example.com/main.html"; Nit: const char kMainFrame[] ...
3 months ago (2017-05-17 22:10:45 UTC) #25
Mike West
On 2017/05/17 at 22:10:45, dcheng wrote: > https://codereview.chromium.org/2881393002/diff/40001/third_party/WebKit/Source/bindings/core/v8/BindingSecurityTest.cpp > File third_party/WebKit/Source/bindings/core/v8/BindingSecurityTest.cpp (right): > > https://codereview.chromium.org/2881393002/diff/40001/third_party/WebKit/Source/bindings/core/v8/BindingSecurityTest.cpp#newcode18 ...
3 months ago (2017-05-18 05:03:38 UTC) #26
dcheng
On 2017/05/18 05:03:38, Mike West wrote: > On 2017/05/17 at 22:10:45, dcheng wrote: > > ...
3 months ago (2017-05-18 09:11:24 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2881393002/60001
3 months ago (2017-05-18 10:14:02 UTC) #30
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/430391)
3 months ago (2017-05-18 12:22:41 UTC) #32
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2881393002/60001
3 months ago (2017-05-18 12:57:40 UTC) #34
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/430478)
3 months ago (2017-05-18 15:30:55 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2881393002/60001
3 months ago (2017-05-18 16:04:31 UTC) #38
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/449060)
3 months ago (2017-05-18 21:55:46 UTC) #40
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2881393002/60001
3 months ago (2017-05-19 04:37:41 UTC) #42
commit-bot: I haz the power
3 months ago (2017-05-19 06:56:03 UTC) #45
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/6dc2830c525f150b928052245fd6...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b